Subject: Re: [PATCH] dmasound_pmac depends on pmac specific config options

From: Olaf Hering <[email-masked]>
Date: Sat, 22 Oct 2005 23:19:06 +0200

On Sat, Oct 22, Brad Boyer wrote:

> I disagree. I think a much better solution would be to change the
> code to be conditionalized internally on PMU support, rather than
> having #ifdef CONFIG_PM since the functions being called inside
> that protection are actually out of the PMU code, not the generic
> power management system. By doing this, you could for example
> have a kernel compiled for a 1st gen PCI PowerMac without any
> extra drivers. In this case, you have CUDA and AWACS, but there
> is no PMU support and no need for sleep notifiers.

May patch would allow that, you need either CUDA or PMU support.

-- 
short story of a lazy sysadmin:
 alias appserv=wotan